Triggers

Triggers

8OAS 3.0

Routes allowing third-party applications to trigger imports

API Base URL
  • Server 1:https://api.migros.ch

    Public Kong Gateway URL

Security
Kong-Api-Key (apiKey)

Kong key-auth authentication

basicAuth (http)

Basic authentication is a simple authentication scheme built into the HTTP protocol.
To use it, send your HTTP requests with an Authorization header that contains the word Basic
followed by a space and a base64-encoded string username:password.

Example: Authorization: Basic ZGVtbzpwQDU1dzByZA==

Additional Information
Contact MGB-UDP-Products-Services (arg_mgb-udp-products-services@mgb.ch)

Triggers

Triggers deletion of declarations in elasticsearch for given product-ids.

This is an internal route and doesn’t necessarily follow API versioning.

delete
https://api.migros.ch/migros/products/v8/trigger/declaration/elasticsearch

Query Parameters

product-idsstringrequired

The declarations of the given product IDs will be deleted in Elasticsearch, separated by commas.

Response

Returned when successful.

delete/migros/products/v8/trigger/declaration/elasticsearch
 

Triggers queueing a product to be reindexed in elasticsearch.

This is an internal route and doesn’t necessarily follow API versioning.

post
https://api.migros.ch/migros/products/v8/trigger/product/elasticsearch/queue/{id}

Query Parameters

partial_fieldsstring

A comma separated list of partial-fields that need to be reindexed. If not set, the full product will be reimported

priorityinteger

Priority for the import (between 0 and 10, 10=highest priority)

Default:2

>= 0<= 10

force_queueboolean

Whether the queuing should check if the product is in queue already (false) or not (true).

Default:false

Path Parameters

idstringrequired

ID of a product to be queued for elasticsearch reindexing

Response

Returned when successful.

post/migros/products/v8/trigger/product/elasticsearch/queue/{id}
 

Triggers a full import of a product.

This is an internal route and doesn’t necessarily follow API versioning.

post
https://api.migros.ch/migros/products/v8/trigger/product/{id}

Path Parameters

idstringrequired

ID of a product to trigger the import for

Headers

Trigger-Priorityinteger

Priority for the import (between 0 and 10)

Default:2

>= 0<= 10

Trigger-Forceboolean

Whether the queuing should check if the product is in queue already (false) or not (true).

Default:false

Response

Returned when successful.

post/migros/products/v8/trigger/product/{id}